#pragma once

#include "HttpHeader.h"

#include <string>

class HttpRequest
{
public:
	HttpRequest() = default;

	void parseMessage(const std::string& message);

private:

	void parseFirstLine(const std::string& line);

	HttpHeader mHeader;
	std::string mMethod;
	std::string mPath;
	std::string mProtocolVersion;
};
